/**
 * 版权所有 ©2019 莱欧有限公司
 * 工程名：SpringMvcLion
 * 文件名：ResourceDao.java
 * 创建日期：2019年3月18日 上午9:06:20
 * 作者：mt.W
 */
package com.lion.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import com.lion.entity.Resources;


/**
 * 类描述
 * @author mt.W
 * @since 2019年3月18日
 */
@Repository
public class ResourceDao {
	@Autowired
	private JdbcTemplate jdbc;
	/**
	 * 
	 * 方法描述  添加资源菜单
	 * @author mt.W
	 * @since 2019年3月18日
	 * @param r
	 * @param userid
	 * @return
	 */
	public int addResource(Resources r,String userid){
		String sql = "insert into resources(pid,name,level,url,icon,userid,ordnum,bz,openType) values(?,?,?,?,?,?,?,?,?)";
		return jdbc.update(sql,new Object[]{r.getPid(),r.getName(),r.getLevel(),r.getUrl(),r.getIcon(),userid,r.getOrdnum(),r.getBz(),r.getOpenType()});
	}
	/**
	 * 
	 * 方法描述  修改资源菜单
	 * @author mt.W
	 * @since 2019年3月18日
	 * @param r
	 * @param userid
	 * @return
	 */
	public int editRsource(Resources r,String userid ){
		String sql =  "update resources set name=?,url=?,icon=?,ordnum=?,bz=?,openType=? where id=?";
		return jdbc.update(sql,new Object[]{r.getName(),r.getUrl(),r.getIcon(),r.getOrdnum(),r.getBz(),r.getOpenType(),r.getId()});
	}
	/**
	 * 
	 * 方法描述 删除资源菜单
	 * @author mt.W
	 * @since 2019年3月18日
	 * @param id
	 * @return
	 */
	public int deleteResource(String id){
		String sql = "delete r,rr from resources r left join role_resources rr on rr.resourceid= r.id where r.id="+id;
		return jdbc.update(sql);
	}
	/**
	 * 
	 * 方法描述  校验
	 * @author mt.W
	 * @since 2019年3月18日
	 * @param name
	 * @return
	 */
	public int checkRole(String id){
		String sql = "select count(*) from resources r inner join role_resources rr on r.id = rr.resourceid where r.id="+id;
		return jdbc.queryForObject(sql, Integer.class);
	}
	/**
	 * 
	 * 方法描述  更改节点的父节点id
	 * @author mt.W
	 * @since 2019年10月30日
	 * @param id 节点id
	 * @param pid 父节点id
	 * @return
	 */
	public int updateNodePid(String id,String pid){
		String sql = "update resources set pid = ? where id = ? ";
		return jdbc.update(sql,new Object[]{pid,id});
	}
	
}
